<?php
namespace MyMenu\Controllers;

class ImageController{
    
    public function __construct($entityManager, $environment, $connectionCustom)
    {
        $this->connection = $entityManager->getConnection();
        $this->connectionCustom = $connectionCustom;
        $this->environment = $environment;
    }
    
    public function getImage($request){
        
        $NRORG = $this->environment->getNrOrg();
        $newEntity = $this->connectionCustom->updateVpdConnection($NRORG);
        if($newEntity !== false){
            $this->connection = $newEntity->getConnection();
            
        }

        $params = $request->getParameters();
        $query = "SELECT BASE64ENCODE(FGFOTOPRATO) AS FGFOTOPRATO FROM FOTOPRATOBLOB S WHERE NRFOTOPRATOBLOB = :NRFOTOPRATOBLOB";
        $queryParams = [
            "NRFOTOPRATOBLOB" => $params["NRFOTOPRATOBLOB"]
        ];
        $statement = $this->connection->prepare($query);
        $statement->execute($queryParams);
        $image = $statement->fetchAll();
        $code_base64 = $image[0]["FGFOTOPRATO"];
        $code_base64 = str_replace('data:image/jpeg;base64,','',$code_base64);
        $code_binary = base64_decode($code_base64);
        $image= imagecreatefromstring($code_binary);
        header('Content-Type: image/jpeg');
        header('Cache-Control: public, max-age=31536000');
        imagejpeg($image);
        imagedestroy($image);

        die;        
        // $response->addMessage(new Message(self::versionNumber));
    }
}
