function LayoutController($scope) {
    $scope.stars = [
        {
            "icon": "star",
            "value": "5"
        },
        {
            "icon": "star",
            "value": "4"
        },
        {
            "icon": "star",
            "value": "3"
        }, {
            "icon": "star",
            "value": "2"
        },
        {
            "icon": "star",
            "value": "1"
        }
    ];

    $scope.emojis = [
        {
            "icon": "sentimentverysatisfied",
            "value": "5"
        },
        {
            "icon": "mood",
            "value": "4"
        },
        {
            "icon": "sentimentsatisfied",
            "value": "3"
        }, {
            "icon": "sentimentdissatisfied",
            "value": "2"
        },
        {
            "icon": "moodbad",
            "value": "1"
        }
    ];
    
    $scope.valueRanged = 0;

    this.rateIt = (layout, type, field) => {
        let layoutSelected = type == 'STAR' ? $scope.stars : $scope.emojis;
        layoutSelected.forEach(st => {
            if (st === layout) {
                layout.active = true;
            } else {
                st.active = false;
            }
        });
       field.setValue(layout.value);
    };

    this.rateRange = (field) => {
        field.setValue($scope.valueRanged);
    };

    
}